# Thirteenth International Obfuscated C Code Contest


## Standard IOCCC stuff

View the `index.html` web page for the given winning entry for information on how
on how to compile it and how to run the winning program.
Look at the winning source and try to figure how it does what it does!
You may then wish to look at the Author's remarks for even more details.

The IOCCC has an official home page: [www.ioccc.org](https://www.ioccc.org),
containing previous winning entries, information about the judges,
announcements and much more.

Use `make` to compile entries.  It is possible that on BSD or non-Unix
systems the Makefile needs to be changed.  See the Makefile for details.

Read over the Makefile for compile/build issues.  Your system may
require certain changes (add or remove a library, add or remove a
`#define` i.e. the `-D` flag).


## Where are Larry Bassel and Barbara Frezza?

It is not true that Larry Bassel avoided the 13th IOCCC on grounds of
superstition!  Larry (as well as Landon) is fond of prime numbers.
Larry is so fond of prime numbers that he decided to become a graduate
student in number theory at UC San Diego.  For this reason Larry
decided to sit out this year and plans to be back next year.

Barbara Frezza also went to San Diego to enter into law school
at the same time.  Her cooking in the role of official chef was
sorely missed.  We look forward to her return to the contest
next year as well.

Both Larry and Barbara have taken important new steps in their
lives and we wish them the best.  When it is all over, Larry will
be able to produce obfuscated mathematical proofs, and Barbara
will be able deobfuscate the many legal obfuscations.  :-)


## Remarks on some of the entries

This year, [Jens
Schweikhardt](../authors.html#Jens_Schweikhardt) won 3 times
... a new IOCCC record.  Meanwhile, [Brian
Westley](../authors.html#Brian_Westley) came up with his 8th
winning entry, twice the number of the next highest count.  But with people like
Schweikhardt around, this lead could fall fast.

As we stated in the [guidelines](guidelines.txt), the authors of the winning entries are
as much news to us as they are to you because we keep authorship separate from
rest of the entry.  Some people have it, we guess!

There were a few very good entries that might have won if it were not
for the fact that they didn't work.  If you didn't win, but think you
had a chance: test your program, fix it and submit it next year!


## A few notes regarding future contests

There will be no 1997 contest.

The next contest will not open until sometime in March 1998, and will
close sometime around the end of May 1998.  The rules for the 1998
contest have not been formed at this time and are not expected to be
ready for distribution until late February 1998.

So what happened to 1997?  Well the next USENIX Technical Conference
will be held Jun 15-19, 1998 (in New Orleans, US).  The 18 month
span between conferences will cause the IOCCC to skip over 1997.

Be sure to wait until the 1998 rules are posted before submitting entries.
Rules differ from year to year, sometimes in significant ways.

Please send us comments and suggestions what we have expressed above.
Also include anything else that you would like to see in future contests.
Send such email to:

```
judges@toad.com
```

If you use, distribute or publish these entries in some way, please drop
us a line.  We enjoy seeing who, where and how the contest is used.


## Final Comments

**IMPORTANT NOTE**: The email addresses found above are for historical
purposes only, and should not be used today.  See
[contact.html](../contact.html) for up to date contact details
as well as details on how to provide fixes to any of the entries.
See also [the IOCCC FAQ](../faq.html) for addition information on the IOCCC.


<!--

    Copyright © 1984-2024 by Landon Curt Noll. All Rights Reserved.

    You are free to share and adapt this file under the terms of this license:

	Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)

    For more information, see:

	https://creativecommons.org/licenses/by-sa/4.0/

-->
